Index: src/mlx/gui/callouts.py
===================================================================
--- src/mlx/gui/callouts.py	(revision 300)
+++ src/mlx/gui/callouts.py	(revision 999)
@@ -1,4 +1,4 @@
 
-from common import *
+from .common import *
 
 from mlx.i18n import xstr
@@ -27,5 +27,5 @@
 #------------------------------------------------------------------------------
 
-class ApproachCalloutsEditor(gtk.Dialog):
+class ApproachCalloutsEditor(Gtk.Dialog):
     """The dialog to edit the approach callouts."""
     integerRE = re.compile("[0-9]+")
@@ -54,8 +54,8 @@
                                                      xstr("callouts_title"),
                                                      gui.mainWindow,
-                                                     DIALOG_MODAL)
-
-        self.add_button(xstr("button_cancel"), RESPONSETYPE_REJECT)
-        self.add_button(xstr("button_ok"), RESPONSETYPE_ACCEPT)
+                                                     Gtk.DialogFlags.MODAL)
+
+        self.add_button(xstr("button_cancel"), Gtk.ResponseType.REJECT)
+        self.add_button(xstr("button_ok"), Gtk.ResponseType.ACCEPT)
 
         self._gui = gui
@@ -67,18 +67,18 @@
 
         # FIXME: common code with the checklist editor
-        typeBox = gtk.HBox()
-
-        label = gtk.Label(xstr("callouts_aircraftType"))
+        typeBox = Gtk.HBox()
+
+        label = Gtk.Label(xstr("callouts_aircraftType"))
         label.set_use_underline(True)
 
         typeBox.pack_start(label, False, False, 4)
 
-        self._aircraftTypeModel = gtk.ListStore(str, int)
+        self._aircraftTypeModel = Gtk.ListStore(str, int)
         for type in const.aircraftTypes:
             name = aircraftNames[type] if type in aircraftNames \
                    else "Aircraft type #%d" % (type,)
             self._aircraftTypeModel.append([name, type])
-        self._aircraftType = gtk.ComboBox(model = self._aircraftTypeModel)
-        renderer = gtk.CellRendererText()
+        self._aircraftType = Gtk.ComboBox(model = self._aircraftTypeModel)
+        renderer = Gtk.CellRendererText()
         self._aircraftType.pack_start(renderer, True)
         self._aircraftType.add_attribute(renderer, "text", 0)
@@ -90,5 +90,5 @@
         typeBox.pack_start(self._aircraftType, True, True, 4)
 
-        typeBoxAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        typeBoxAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                          xscale = 0.0, yscale = 0.0)
         typeBoxAlignment.set_size_request(400, -1)
@@ -98,8 +98,8 @@
         # FIXME: common code until here, but note that some texts are different
 
-        contentBox = gtk.HBox()        
-
-        controlBox = gtk.VBox()
-        controlAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        contentBox = Gtk.HBox()        
+
+        controlBox = Gtk.VBox()
+        controlAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                          xscale = 0.0, yscale = 0.0)
         controlAlignment.set_padding(padding_top = 0, padding_bottom = 0,
@@ -108,9 +108,9 @@
         contentBox.pack_start(controlAlignment, False, False, 0)
 
-        self._addButton = gtk.Button(xstr("callouts_add"))
+        self._addButton = Gtk.Button(xstr("callouts_add"))
         self._addButton.set_use_underline(True)
         self._addButton.set_tooltip_text(xstr("callouts_add_tooltip"))
         self._addButton.connect("clicked", self._addButtonClicked)
-        addAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        addAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                      xscale = 0.0, yscale = 0.0)
         addAlignment.set_padding(padding_top = 24, padding_bottom = 0,
@@ -119,5 +119,5 @@
         controlBox.pack_start(addAlignment, False, False, 0)
 
-        self._removeButton = gtk.Button(xstr("callouts_remove"))
+        self._removeButton = Gtk.Button(xstr("callouts_remove"))
         self._removeButton.set_use_underline(True)
         self._removeButton.set_tooltip_text(xstr("callouts_remove_tooltip"))
@@ -125,5 +125,5 @@
         self._removeButton.connect("clicked", self._removeButtonClicked)
 
-        removeAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        removeAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                         xscale = 0.0, yscale = 0.0)
         removeAlignment.set_padding(padding_top = 24, padding_bottom = 0,
@@ -132,6 +132,6 @@
         controlBox.pack_start(removeAlignment, False, False, 0)
 
-        self._fileListModel = gtk.ListStore(int, str, str)
-        self._fileListModel.set_sort_column_id(0, SORT_DESCENDING)
+        self._fileListModel = Gtk.ListStore(int, str, str)
+        self._fileListModel.set_sort_column_id(0, Gtk.SortType.DESCENDING)
 
         self._addingFile = False
@@ -139,14 +139,14 @@
         self._lastAddedAltitude = None
         
-        self._fileList = gtk.TreeView(model = self._fileListModel)
-
-        renderer = gtk.CellRendererSpin()
+        self._fileList = Gtk.TreeView(model = self._fileListModel)
+
+        renderer = Gtk.CellRendererSpin()
         renderer.set_property("editable", True)
 
-        adjustment = gtk.Adjustment(0, 0, 5000, 10, 100)
+        adjustment = Gtk.Adjustment(0, 0, 5000, 10, 100)
         renderer.set_property("adjustment", adjustment);
         renderer.connect("edited", self._altitudeEdited)
         
-        column = gtk.TreeViewColumn(xstr("callouts_header_altitude"),
+        column = Gtk.TreeViewColumn(xstr("callouts_header_altitude"),
                                     renderer, text = 0)
         self._fileList.append_column(column)
@@ -156,9 +156,9 @@
         column.set_sort_indicator(True)
         column.set_sort_column_id(0)
-        column.set_sort_order(SORT_DESCENDING)
+        column.set_sort_order(Gtk.SortType.DESCENDING)
         column.set_expand(False)
 
-        column = gtk.TreeViewColumn(xstr("callouts_header_path"),
-                                    gtk.CellRendererText(), text = 1)
+        column = Gtk.TreeViewColumn(xstr("callouts_header_path"),
+                                    Gtk.CellRendererText(), text = 1)
         self._fileList.append_column(column)
         column.set_expand(True)
@@ -173,16 +173,17 @@
                                self._fileListButtonPressed)
         selection = self._fileList.get_selection()
-        selection.set_mode(SELECTION_MULTIPLE)
+        selection.set_mode(Gtk.SelectionMode.MULTIPLE)
         selection.connect("changed", self._fileListSelectionChanged)
 
         self._buildFileListPopupMenu()
 
-        scrolledWindow = gtk.ScrolledWindow()
+        scrolledWindow = Gtk.ScrolledWindow()
         scrolledWindow.add(self._fileList)
         scrolledWindow.set_size_request(300, -1)
-        scrolledWindow.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
-        scrolledWindow.set_shadow_type(SHADOW_IN)
-        
-        fileListAlignment = gtk.Alignment(xscale=1.0, yscale=1.0, 
+        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                  Gtk.PolicyType.AUTOMATIC)
+        scrolledWindow.set_shadow_type(Gtk.ShadowType.IN)
+        
+        fileListAlignment = Gtk.Alignment(xscale=1.0, yscale=1.0, 
                                           xalign=0.5, yalign=0.5)
         fileListAlignment.set_padding(padding_top = 0, padding_bottom = 16,
@@ -204,9 +205,9 @@
         self.hide()
 
-        if response==RESPONSETYPE_ACCEPT:
+        if response==Gtk.ResponseType.ACCEPT:
             self._saveApproachCallouts()
             config = self._gui.config
             for (aircraftType, approachCallouts) in \
-                    self._approachCallouts.iteritems():
+                    self._approachCallouts.items():
                 config.setApproachCallouts(aircraftType, approachCallouts)
             config.save()
@@ -225,5 +226,5 @@
         dialog.hide()
 
-        if result==RESPONSETYPE_OK:
+        if result==Gtk.ResponseType.OK:
             filePath = dialog.get_filename()
             baseName = os.path.basename(filePath)
@@ -239,5 +240,5 @@
         Makes the treeview to edit the altitude in the given row."""
         if self._addingFile:
-            gobject.idle_add(self._selectFile)
+            GObject.idle_add(self._selectFile)
             self._fileList.grab_focus()
             self.grab_focus()
@@ -292,11 +293,11 @@
         otherPath = self._hasAltitude(newAltitude, ignorePath = editedPath)
         if otherPath is not None:
-            dialog = gtk.MessageDialog(parent = self,
-                                       type = MESSAGETYPE_QUESTION,
+            dialog = Gtk.MessageDialog(parent = self,
+                                       type = Gtk.MessageType.QUESTION,
                                        message_format =
                                        xstr("callouts_altitude_clash"))
             dialog.format_secondary_markup(xstr("callouts_altitude_clash_sec"))
-            dialog.add_button(xstr("button_no"), RESPONSETYPE_NO)
-            dialog.add_button(xstr("button_yes"), RESPONSETYPE_YES)
+            dialog.add_button(xstr("button_no"), Gtk.ResponseType.NO)
+            dialog.add_button(xstr("button_yes"), Gtk.ResponseType.YES)
             dialog.set_title(WINDOW_TITLE_BASE)
 
@@ -304,5 +305,5 @@
             dialog.hide()
 
-            if result!=RESPONSETYPE_YES:
+            if result!=Gtk.ResponseType.YES:
                 newAltitude = None
                 
@@ -346,10 +347,10 @@
         If it does not exist yet, it will be created."""
         if self._fileOpenDialog is None:
-            dialog = gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
+            dialog = Gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
                                            xstr("callouts_open_title"),
-                                           action = FILE_CHOOSER_ACTION_OPEN,
-                                           buttons = (gtk.STOCK_CANCEL,
-                                                      RESPONSETYPE_CANCEL,
-                                                      gtk.STOCK_OK, RESPONSETYPE_OK),
+                                           action = Gtk.FileChooserAction.OPEN,
+                                           buttons = (Gtk.STOCK_CANCEL,
+                                                      Gtk.ResponseType.CANCEL,
+                                                      Gtk.STOCK_OK, Gtk.ResponseType.OK),
                                            parent = self)
             dialog.set_modal(True)            
@@ -358,5 +359,5 @@
             # FIXME: create the filters in one location and use them
             # from there
-            filter = gtk.FileFilter()
+            filter = Gtk.FileFilter()
             filter.set_name(xstr("file_filter_audio"))
             filter.add_pattern("*.wav")
@@ -364,5 +365,5 @@
             dialog.add_filter(filter)
 
-            filter = gtk.FileFilter()
+            filter = Gtk.FileFilter()
             filter.set_name(xstr("file_filter_all"))
             filter.add_pattern("*.*")
@@ -389,5 +390,5 @@
         if altitude is not None: return altitude
 
-        descending = self._fileList.get_column(0).get_sort_order()==SORT_DESCENDING
+        descending = self._fileList.get_column(0).get_sort_order()==Gtk.SortType.DESCENDING
         model = self._fileListModel
         numEntries = model.iter_n_children(None)
@@ -473,18 +474,15 @@
     def _fileListButtonPressed(self, widget, event):
         """Called when a mouse button is pressed on the file list."""
-        if event.type!=EVENT_BUTTON_PRESS or event.button!=3:
+        if event.type!=Gdk.EventType.BUTTON_PRESS or event.button!=3:
             return
 
         menu = self._fileListPopupMenu
-        if pygobject:
-            menu.popup(None, None, None, None, event.button, event.time)
-        else:
-            menu.popup(None, None, None, event.button, event.time)
+        menu.popup(None, None, None, None, event.button, event.time)
 
     def _buildFileListPopupMenu(self):
         """Build the file list popup menu."""
-        menu = gtk.Menu()
-
-        menuItem = gtk.MenuItem()
+        menu = Gtk.Menu()
+
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("callouts_remove"))
         menuItem.set_use_underline(True)
Index: src/mlx/gui/cef.py
===================================================================
--- src/mlx/gui/cef.py	(revision 915)
+++ src/mlx/gui/cef.py	(revision 997)
@@ -1,3 +1,3 @@
-from common import *
+from .common import *
 
 from mlx.util import secondaryInstallation
@@ -10,11 +10,12 @@
 import os
 import re
-import thread
+import _thread
 import threading
 import tempfile
 import traceback
-import urllib2
+import ctypes
+import urllib.request, urllib.error, urllib.parse
 from lxml import etree
-from StringIO import StringIO
+from io import StringIO
 import lxml.html
 
@@ -100,5 +101,5 @@
     def call(self, plan, getCredentials, updateProgress, htmlFilePath):
         """Call SimBrief with the given plan."""
-        self._timeoutID = gobject.timeout_add(120*1000, self._timedOut)
+        self._timeoutID = GObject.timeout_add(120*1000, self._timedOut)
 
         self._plan = plan
@@ -112,9 +113,9 @@
                              SIMBRIEF_RESULT_NONE, None)
 
-    def _onLoadEnd(self, browser, frame, httpCode):
+    def _onLoadEnd(self, browser, frame, http_code):
         """Called when a page has been loaded in the SimBrief browser."""
         url = frame.GetUrl()
-        print "gui.cef.SimBriefHandler._onLoadEnd", httpCode, url
-        if httpCode>=300:
+        print("gui.cef.SimBriefHandler._onLoadEnd", http_code, url)
+        if http_code>=300:
             self._updateProgress(self._lastProgress,
                                  SIMBRIEF_RESULT_ERROR_OTHER, None)
@@ -127,7 +128,7 @@
 
             js = "form=document.getElementById(\"sbapiform\");"
-            for (name, value) in self._plan.iteritems():
+            for (name, value) in self._plan.items():
                 js += "form." + name + ".value=\"" + value + "\";"
-            for (name, value) in SimBriefHandler._querySettings.iteritems():
+            for (name, value) in SimBriefHandler._querySettings.items():
                 if isinstance(value, bool):
                     js += "form." + name + ".checked=" + \
@@ -175,6 +176,6 @@
 
             thread = threading.Thread(target = self._getResults, args = (link,))
-            thread.daemon = True
-            thread.start()
+            _thread.daemon = True
+            _thread.start()
         else:
             self._updateProgress(SIMBRIEF_PROGRESS_RETRIEVING_BRIEFING,
@@ -194,8 +195,10 @@
         self._lastProgress = progress
         if results!=SIMBRIEF_RESULT_NONE:
-            gobject.source_remove(self._timeoutID)
+            if self._timeoutID is not None:
+                GObject.source_remove(self._timeoutID)
             self._plan = None
 
-        self._updateProgressFn(progress, results, flightInfo)
+        if self._updateProgressFn is not None:
+            self._updateProgressFn(progress, results, flightInfo)
 
     def _timedOut(self):
@@ -219,5 +222,5 @@
 
         # Obtaining the xml
-        response = urllib2.urlopen(link)
+        response = urllib.request.urlopen(link)
         xmlContent = response.read()
         # Processing xml
@@ -242,5 +245,5 @@
                     imageLinks.append(imageLink[2])
         flightInfo["image_links"] = imageLinks
-        print(sorted(availableInfo.keys()))
+        print((sorted(availableInfo.keys())))
         htmlFilePath = "simbrief_plan.html" if self._htmlFilePath is None \
           else self._htmlFilePath
@@ -248,5 +251,5 @@
             f.write(availableInfo["plan_html"])
 
-        gobject.idle_add(self._resultsAvailable, flightInfo)
+        GObject.idle_add(self._resultsAvailable, flightInfo)
 
 #------------------------------------------------------------------------------
@@ -257,5 +260,5 @@
     _toQuit = False
 
-    gobject.threads_init()
+    GObject.threads_init()
 
     _simBriefHandler = SimBriefHandler()
@@ -266,5 +269,5 @@
 def _initializeCEF(args, initializedCallback):
     """Perform the actual initialization of CEF using the given arguments."""
-    print "Initializing CEF with args:", args
+    print("Initializing CEF with args:", args)
 
     settings = {
@@ -290,11 +293,11 @@
                     switches[arg[2:assignIndex]] = arg[assignIndex+1:]
         else:
-            print "Unhandled switch", arg
+            print("Unhandled switch", arg)
 
     cefpython.Initialize(settings, switches)
 
-    gobject.timeout_add(10, _handleTimeout)
-
-    print "Initialized, executing callback..."
+    GObject.timeout_add(10, _handleTimeout)
+
+    print("Initialized, executing callback...")
     initializedCallback()
 
@@ -305,9 +308,9 @@
     within."""
     if os.name=="nt":
-        container = gtk.DrawingArea()
+        container = Gtk.DrawingArea()
         container.set_property("can-focus", True)
         container.connect("size-allocate", _handleSizeAllocate)
     else:
-        container = gtk.DrawingArea()
+        container = Gtk.DrawingArea()
 
     container.show()
@@ -320,12 +323,17 @@
     """Start a browser instance in the given container with the given URL."""
     if os.name=="nt":
-        window = container.get_window()
-        if window is None:
-            print "mlx.gui.cef.startInContainer: no window found!"
-            windowID = None
-        else:
-            windowID = window.handle
+        Gdk.threads_enter()
+        ctypes.pythonapi.PyCapsule_GetPointer.restype = ctypes.c_void_p
+        ctypes.pythonapi.PyCapsule_GetPointer.argtypes = \
+            [ctypes.py_object]
+        gpointer = ctypes.pythonapi.PyCapsule_GetPointer(
+            container.get_property("window").__gpointer__, None)
+        libgdk = ctypes.CDLL("libgdk-3-0.dll")
+        windowID = libgdk.gdk_win32_window_get_handle(gpointer)
+        container.windowID = windowID
+        Gdk.threads_leave()
     else:
-        windowID = container.window.xid
+        container.set_visual(container.get_screen().lookup_visual(0x21))
+        windowID = container.get_window().get_xid()
 
     windowInfo = cefpython.WindowInfo()
@@ -340,12 +348,12 @@
 
 class OffscreenRenderHandler(object):
-    def GetRootScreenRect(self, browser, rect):
+    def GetRootScreenRect(self, browser, rect_out):
         #print "GetRootScreenRect"
-        rect += [0, 0, 800, 600]
+        rect_out += [0, 0, 800, 600]
         return True
 
-    def GetViewRect(self, browser, rect):
+    def GetViewRect(self, browser, rect_out):
         #print "GetViewRect"
-        rect += [0, 0, 800, 600]
+        rect_out += [0, 0, 800, 600]
         return True
 
@@ -367,5 +375,5 @@
         pass
 
-    def OnPaint(self, browser, paintElementType, dirtyRects, buffer, width, height):
+    def OnPaint(self, browser, element_type, dirty_rects, paint_buffer, width, height):
         #print "OnPaint", paintElementType, dirtyRects, buffer, width, height
         pass
@@ -424,6 +432,5 @@
 
 def _handleSizeAllocate(widget, sizeAlloc):
-    """Handle the size-allocate event."""
-    window = widget.get_window()
+    """Handle the size-allocate event on Windows."""
     if widget is not None:
-        cefpython.WindowUtils.OnSize(window.handle, 0, 0, 0)
+        cefpython.WindowUtils.OnSize(widget.windowID, 0, 0, 0)
Index: src/mlx/gui/checklist.py
===================================================================
--- src/mlx/gui/checklist.py	(revision 300)
+++ src/mlx/gui/checklist.py	(revision 999)
@@ -1,4 +1,4 @@
 
-from common import *
+from .common import *
 
 from mlx.i18n import xstr
@@ -22,5 +22,5 @@
 #------------------------------------------------------------------------------
 
-class ChecklistEditor(gtk.Dialog):
+class ChecklistEditor(Gtk.Dialog):
     """The dialog to edit the checklists."""
     def __init__(self, gui):
@@ -28,8 +28,8 @@
                                               xstr("chklst_title"),
                                               gui.mainWindow,
-                                              DIALOG_MODAL)
-
-        self.add_button(xstr("button_cancel"), RESPONSETYPE_REJECT)
-        self.add_button(xstr("button_ok"), RESPONSETYPE_ACCEPT)
+                                              Gtk.DialogFlags.MODAL)
+
+        self.add_button(xstr("button_cancel"), Gtk.ResponseType.REJECT)
+        self.add_button(xstr("button_ok"), Gtk.ResponseType.ACCEPT)
 
         self._gui = gui
@@ -39,18 +39,18 @@
         contentArea = self.get_content_area()
 
-        typeBox = gtk.HBox()
-
-        label = gtk.Label(xstr("chklst_aircraftType"))
+        typeBox = Gtk.HBox()
+
+        label = Gtk.Label(xstr("chklst_aircraftType"))
         label.set_use_underline(True)
 
         typeBox.pack_start(label, False, False, 4)
 
-        self._aircraftTypeModel = gtk.ListStore(str, int)
+        self._aircraftTypeModel = Gtk.ListStore(str, int)
         for type in const.aircraftTypes:
             name = aircraftNames[type] if type in aircraftNames \
                    else "Aircraft type #%d" % (type,)
             self._aircraftTypeModel.append([name, type])
-        self._aircraftType = gtk.ComboBox(model = self._aircraftTypeModel)
-        renderer = gtk.CellRendererText()
+        self._aircraftType = Gtk.ComboBox(model = self._aircraftTypeModel)
+        renderer = Gtk.CellRendererText()
         self._aircraftType.pack_start(renderer, True)
         self._aircraftType.add_attribute(renderer, "text", 0)
@@ -62,5 +62,5 @@
         typeBox.pack_start(self._aircraftType, True, True, 4)
 
-        typeBoxAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        typeBoxAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                          xscale = 0.0, yscale = 0.0)
         typeBoxAlignment.set_size_request(400, -1)
@@ -69,10 +69,10 @@
         contentArea.pack_start(typeBoxAlignment, False, False, 12)
 
-        fileBox = gtk.HBox()        
-
-        self._fileChooser = gtk.FileChooserWidget()
+        fileBox = Gtk.HBox()        
+
+        self._fileChooser = Gtk.FileChooserWidget()
         self._fileChooser.set_select_multiple(True)
         
-        filter = gtk.FileFilter()
+        filter = Gtk.FileFilter()
         filter.set_name(xstr("file_filter_audio"))
         filter.add_pattern("*.wav")
@@ -80,5 +80,5 @@
         self._fileChooser.add_filter(filter)
             
-        filter = gtk.FileFilter()
+        filter = Gtk.FileFilter()
         filter.set_name(xstr("file_filter_all"))
         filter.add_pattern("*.*")
@@ -90,6 +90,6 @@
         fileBox.pack_start(self._fileChooser, True, True, 4)
 
-        controlBox = gtk.VBox()
-        controlAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        controlBox = Gtk.VBox()
+        controlAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                          xscale = 0.0, yscale = 0.0)
         controlAlignment.set_padding(padding_top = 0, padding_bottom = 0,
@@ -98,9 +98,9 @@
         fileBox.pack_start(controlAlignment, False, False, 0)
 
-        self._addButton = gtk.Button(xstr("chklst_add"))
+        self._addButton = Gtk.Button(xstr("chklst_add"))
         self._addButton.set_use_underline(True)
         self._addButton.set_tooltip_text(xstr("chklst_add_tooltip"))
         self._addButton.connect("clicked", self._addButtonClicked)
-        addAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        addAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                      xscale = 0.0, yscale = 0.0)
         addAlignment.set_padding(padding_top = 64, padding_bottom = 0,
@@ -109,5 +109,5 @@
         controlBox.pack_start(addAlignment, False, False, 0)
 
-        self._removeButton = gtk.Button(xstr("chklst_remove"))
+        self._removeButton = Gtk.Button(xstr("chklst_remove"))
         self._removeButton.set_use_underline(True)
         self._removeButton.set_tooltip_text(xstr("chklst_remove_tooltip"))
@@ -115,5 +115,5 @@
         self._removeButton.connect("clicked", self._removeButtonClicked)
 
-        removeAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        removeAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                         xscale = 0.0, yscale = 0.0)
         removeAlignment.set_padding(padding_top = 64, padding_bottom = 0,
@@ -122,5 +122,5 @@
         controlBox.pack_start(removeAlignment, False, False, 0)
 
-        self._moveUpButton = gtk.Button(xstr("chklst_moveUp"))
+        self._moveUpButton = Gtk.Button(xstr("chklst_moveUp"))
         self._moveUpButton.set_use_underline(True)
         self._moveUpButton.set_tooltip_text(xstr("chklst_moveUp_tooltip"))
@@ -128,5 +128,5 @@
         self._moveUpButton.connect("clicked", self._moveUpButtonClicked)
 
-        moveUpAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        moveUpAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                         xscale = 0.0, yscale = 0.0)
         moveUpAlignment.set_padding(padding_top = 16, padding_bottom = 0,
@@ -135,5 +135,5 @@
         controlBox.pack_start(moveUpAlignment, False, False, 0)
 
-        self._moveDownButton = gtk.Button(xstr("chklst_moveDown"))
+        self._moveDownButton = Gtk.Button(xstr("chklst_moveDown"))
         self._moveDownButton.set_use_underline(True)
         self._moveDownButton.set_tooltip_text(xstr("chklst_moveDown_tooltip"))
@@ -141,5 +141,5 @@
         self._moveDownButton.connect("clicked", self._moveDownButtonClicked)
 
-        moveDownAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        moveDownAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                         xscale = 0.0, yscale = 0.0)
         moveDownAlignment.set_padding(padding_top = 4, padding_bottom = 0,
@@ -148,10 +148,10 @@
         controlBox.pack_start(moveDownAlignment, False, False, 0)
 
-        self._fileListModel = gtk.ListStore(str, str)
-        self._fileList = gtk.TreeView(model = self._fileListModel)
+        self._fileListModel = Gtk.ListStore(str, str)
+        self._fileList = Gtk.TreeView(model = self._fileListModel)
         self._fileList.connect("button-press-event",
                                self._fileListButtonPressed)
-        column = gtk.TreeViewColumn(xstr("chklst_header"),
-                                    gtk.CellRendererText(), text = 0)
+        column = Gtk.TreeViewColumn(xstr("chklst_header"),
+                                    Gtk.CellRendererText(), text = 0)
         column.set_expand(True)
         column.set_clickable(False)
@@ -162,14 +162,15 @@
         self._fileListPopupMenu = None
         selection = self._fileList.get_selection()
-        selection.set_mode(SELECTION_MULTIPLE)
+        selection.set_mode(Gtk.SelectionMode.MULTIPLE)
         selection.connect("changed", self._fileListSelectionChanged)
 
         self._buildFileListPopupMenu()
 
-        scrolledWindow = gtk.ScrolledWindow()
+        scrolledWindow = Gtk.ScrolledWindow()
         scrolledWindow.add(self._fileList)
         scrolledWindow.set_size_request(200, -1)
-        scrolledWindow.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
-        scrolledWindow.set_shadow_type(SHADOW_IN)
+        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                  Gtk.PolicyType.AUTOMATIC)
+        scrolledWindow.set_shadow_type(Gtk.ShadowType.IN)
 
         fileBox.pack_start(scrolledWindow, False, False, 4)
@@ -187,8 +188,8 @@
         self.hide()
 
-        if response==RESPONSETYPE_ACCEPT:
+        if response==Gtk.ResponseType.ACCEPT:
             self._saveChecklist()
             config = self._gui.config
-            for (aircraftType, checklist) in self._checklists.iteritems():
+            for (aircraftType, checklist) in self._checklists.items():
                 config.setChecklist(aircraftType, checklist)
             config.save()
@@ -204,5 +205,4 @@
         numSelected = 0
         for path in fileChooser.get_filenames():
-            path = text2unicode(path)
             numSelected += 1
             if os.path.isfile(path): numFiles += 1
@@ -213,5 +213,4 @@
         """Called when the Add button is clicked."""
         for path in self._fileChooser.get_filenames():
-            path = text2unicode(path)
             self._fileListModel.append([os.path.basename(path),
                                         path])
@@ -245,6 +244,5 @@
         selection = self._fileList.get_selection()
         (model, paths) = selection.get_selected_rows()
-        indexes = [(path.get_indices() if pygobject else path)[0]
-                   for path in paths]        
+        indexes = [path.get_indices()[0] for path in paths]
         indexes.sort()
         if not up:
@@ -275,5 +273,5 @@
             maxIndex = None
             for path in paths:
-                [index] = path.get_indices() if pygobject else path
+                [index] = path.get_indices()
                 if minIndex is None or index<minIndex: minIndex = index
                 if maxIndex is None or index>maxIndex: maxIndex = index
@@ -324,18 +322,15 @@
     def _fileListButtonPressed(self, widget, event):
         """Called when a mouse button is pressed on the file list."""
-        if event.type!=EVENT_BUTTON_PRESS or event.button!=3:
+        if event.type!=Gdk.EventType.BUTTON_PRESS or event.button!=3:
             return
 
         menu = self._fileListPopupMenu
-        if pygobject:
-            menu.popup(None, None, None, None, event.button, event.time)
-        else:
-            menu.popup(None, None, None, event.button, event.time)
+        menu.popup(None, None, None, None, event.button, event.time)
 
     def _buildFileListPopupMenu(self):
         """Build the file list popup menu."""
-        menu = gtk.Menu()
-
-        menuItem = gtk.MenuItem()
+        menu = Gtk.Menu()
+
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("chklst_remove"))
         menuItem.set_use_underline(True)
@@ -346,5 +341,5 @@
         menu.append(menuItem)
 
-        menuItem = gtk.MenuItem()
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("chklst_moveUp"))
         menuItem.set_use_underline(True)
@@ -355,5 +350,5 @@
         menu.append(menuItem)
 
-        menuItem = gtk.MenuItem()
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("chklst_moveDown"))
         menuItem.set_use_underline(True)
